Bug 112931 - Keyboard spontaneously ceases to work
Keyboard spontaneously ceases to work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
: 128414 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-06 01:11 EST by Gabriel Schulhof
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A sample of a possibly broken gconf which disables all keyboard input (1.85 KB, text/plain)
2004-03-15 00:03 EST, Ed Halley
no flags Details

  None (edit)
Description Gabriel Schulhof 2004-01-06 01:11:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
For some strange reason the keyboard stopped working.  This sounds
kinda like bug #7645, except that bug is old, and this problem is worse:

Quite simply, I log into my usual GNOME session, and any keystroke
produces a beep.  Hitting Alt produces 2 beeps.  I cannot type
anything.  The mouse works perfectly.  This happened spontaneously,
AFAICT.  If I log into a failsafe session, the keyboard works
flawlessly.  I am subscribed to fedora-core-1 and fedora-updates and
have the latest of everything (except kernel 2138).

I have tried logging into failsafe and typing gnome-session.  This
worked, but it also destroyed keyboard functionality and I had to log
in via SSH and kill the X server.

I don't understand what went wrong.  This "just happened".

Version-Release number of selected component (if applicable):
gnome-desktop-2.4.0-1

How reproducible:
Always

Steps to Reproduce:
1. Log into GNOME
2. Try typing anything (including Alt+F2, text into gedit or 
   gnome-terminal, etc.)
    

Actual Results:  Can't type anything.

Expected Results:  The ability to use the keyboard in a GNOME session.

Additional info:

None.
Comment 1 Ben Stringer 2004-01-20 08:58:43 EST
I am also suffering this problem. It occurred at roughly the same
time, so may have been due to an update I applied around then.

In addition to the notes above, I am able to log in using KDE and the
keyboard works fine, and also if I create a new user account, I can
log in with that to gnome and I _do not_ see the problem, so I surmise
it is due to some configuration stored in the user's home directory.
I'd be interested to see if nix@go-nix.ca sees the same behaviour.


Comment 2 Ben Stringer 2004-01-20 09:17:30 EST
I've found the fix to my problem (which may be different to the bug
originally logged here) - I had mistakenly activated "Preferences ->
Accessibility -> Keyboard Accessibility" and what appeared to be a
keyboard failure was just the results of an experiment with "enable
slow keys". Very embarrasing :)
Comment 3 Gabriel Schulhof 2004-01-20 10:49:56 EST
To answer Ben Stinger: Yes.

Well, I did not perform any keyboard experiments.  It happened
spontaneously.

I /did/ rm -rf
~/{.gnome,.gnome2,.gconf,.gconfd,.gnome_private,.gnome2_private}

and then logged back in to having the keyboard work (albeit with
everything reset to defaults).

The above rm -rf is, AFAICT, from GNOME's perspective, pretty much
equivalent to being a new user and having those directories created
for the first time.

However, I don't believe this is a solution.  I shouldn't have to all
of a sudden reconfigure my entire desktop, just because the keyboard
mysteriously fails.
Comment 4 Ed Halley 2004-03-15 00:00:28 EST
I had the same problem (keyboard just stopped working mid-edit).  I
could edit in the gdm-greeter and in newly created GNOME user
environments, but not in my own GNOME user account.

After a lot of tracking down recently-modified files, I found that
removing (or renaming away) the below file fixed my problem.  It's
much less invasive than the above rm -rf nuclear bomb.

  ~/.gconf/desktop/gnome/accessibility/keyboard/%gconf.xml

It's interesting to note that I was *not* adjusting keyboard
accessibility features at the time.  I don't know what process
instigated the creation or rewrite for this %gconf.xml file since I
wasn't actively adjusting such settings at the time.

It appears the gconf formatting is broken, where the last several
newlines \n are missing.  I have attached a sample.  This should not
be a problem for true XML parsers, but maybe the parser is
newline-stupid and the end result is a disabling of the whole keyboard
input scheme, or something.
Comment 5 Ed Halley 2004-03-15 00:03:32 EST
Created attachment 98530 [details]
A sample of a possibly broken gconf which disables all keyboard input

This was written by the system and appears to be missing some newlines.  Either
the newlines or some setting value in this file is suspect.  Presence of this
file disabled all typing in the user's account while running GNOME at the
console.  Removal of this file reverted behavior to normal default typing.
Comment 6 Gabriel Schulhof 2004-03-15 17:39:33 EST
Looks like somebody forgot to '\n' at the end of an fprintf.
Besides, why does GNOME sneak behind my back and turn on keyboard
accessibility stuff ?
Comment 7 Caolan McNamara 2004-12-15 15:45:16 EST
*** Bug 128414 has been marked as a duplicate of this bug. ***
Comment 8 Ray Strode [halfline] 2005-05-11 18:11:21 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 Naveen 2005-10-06 22:01:50 EDT
I had the same problem with 4 users. Only difference is that they were using KDE
3.4. It happened almost instantaneously for all the four users. Worked fine for
other users. 

(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
> Gecko/20031114
> 
> Description of problem:
> For some strange reason the keyboard stopped working.  This sounds
> kinda like bug #7645, except that bug is old, and this problem is worse:
> 
> Quite simply, I log into my usual GNOME session, and any keystroke
> produces a beep.  Hitting Alt produces 2 beeps.  I cannot type
> anything.  The mouse works perfectly.  This happened spontaneously,
> AFAICT.  If I log into a failsafe session, the keyboard works
> flawlessly.  I am subscribed to fedora-core-1 and fedora-updates and
> have the latest of everything (except kernel 2138).
> 
> I have tried logging into failsafe and typing gnome-session.  This
> worked, but it also destroyed keyboard functionality and I had to log
> in via SSH and kill the X server.
> 
> I don't understand what went wrong.  This "just happened".
> 
> Version-Release number of selected component (if applicable):
> gnome-desktop-2.4.0-1
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Log into GNOME
> 2. Try typing anything (including Alt+F2, text into gedit or 
>    gnome-terminal, etc.)
>     
> 
> Actual Results:  Can't type anything.
> 
> Expected Results:  The ability to use the keyboard in a GNOME session.
> 
> Additional info:
> 
> None.
Comment 10 Naveen 2005-11-08 21:06:47 EST
The problem has become worse. Keyboard freezes every second day and I have to
create new users. No workaround seems to be there. I am using Fedora Core 4 with
KDE.

Note You need to log in before you can comment on or make changes to this bug.